export default `
{% macro received(message) %}
<div class="flex flex-col space-y-px px-8 py-4">
  <div class="flex justify-start text-xs font-mono">
    {{ message.time.toLocaleString(undefined, { timeStyle: "short", hour12: false }) }} |
    XXX
  </div>
  <div class="flex justify-start text-xs font-mono">
    <div class="max-w-xs p-2 text-black bg-gray-300 rounded-lg">
      {{ split(message.content) }}
    </div>
  </div>
</div>
{% endmacro %}

{% macro sent(message) %}
<div class="flex flex-col space-y-px px-8 py-4">
  <div class="flex justify-end text-xs font-mono">
    {{ message.time.toLocaleString(undefined, { timeStyle: "short", hour12: false }) }}
  </div>
  <div class="flex justify-end font-mono">
    <div class="max-w-xs p-2 text-black bg-blue-200 rounded-lg">
      {{ split(message.content) }}
    </div>
  </div>
</div>
{% endmacro %}

<div class="flex flex-col space-y-2">
{%for message in messages%}
  {% if message.author %}
    {{ sent(message) }}
  {% else %}
    {{ received(message) }}
  {% endif %}
{% endfor %}
</div>
`