import { z } from "zod";
import { getWorker } from "~/server/workers";

const parser = z.object({
  message: z.string().regex(/^[a-f0-9]+$/i),
});

export default defineEventHandler(async (event) => {
  const id = checkRoomId(event);
  const worker = await getWorker(id);
  const body = parser.parse(await readBody(event));

  await worker.pipe.call("addMessage", event.context.userId, body.message);

  return worker.pipe.call("render", event.context.userId);
});
