import { z } from "zod";
import { getWorker } from "~/server/workers";

const parser = z.object({
  template: z.string(),
});

export default defineEventHandler(async (event) => {
  const id = checkRoomId(event);
  const worker = await getWorker(id);
  const body = parser.parse(await readBody(event));

  await worker.pipe.call("updateTemplate", event.context.userId, body.template);

  return await worker.pipe.call("render", event.context.userId);
});
